### Class

# Foundry WebIntent

#### Description [src]

    final class Foundry.WebIntent : Foundry.Intent
    {
      /* No available fields */
    }

Represents an intent to open a URI with a web browser.

FoundryWebIntent provides functionality for opening URIs in web browsers. The URI is stored as a plain UTF-8 string and is up to the caller to ensure that the URI is valid.

#### Ancestors

- FoundryIntent
- GObject

#### Constructors

###### foundry_web_intent_new

Creates a new `FoundryWebIntent` for opening a URI in a web browser.

#### Instance methods

###### foundry_web_intent_dup_uri

Gets a copy of the URI string.

##### Methods inherited from FoundryIntent (10)

###### foundry_intent_dup_attribute_object

Gets the attribute value as a `GObject`. The returned object is owned by the intent and should not be unref’d.

since: 1.1

###### foundry_intent_dup_attribute_string

Gets the attribute value as a string. The returned string is owned by the intent and should not be modified or freed.

since: 1.1

###### foundry_intent_dup_attribute_strv

Gets the attribute value as a string. The returned string is owned by the intent and should not be modified or freed.

since: 1.1

###### foundry_intent_get_attribute_boolean

Gets the attribute value as a boolean.

since: 1.1

###### foundry_intent_get_attribute_type

Gets the `GType` of the attribute value.

since: 1.1

###### foundry_intent_get_attribute_uint

No description available.

###### foundry_intent_get_attribute_value

Gets the attribute value. The returned value is owned by the intent and should not be modified or freed.

since: 1.1

###### foundry_intent_has_attribute

Checks if the intent has an attribute with the given name.

since: 1.1

###### foundry_intent_set_attribute

No description available.

###### foundry_intent_set_attribute_value

Sets an attribute value for the intent. The value is copied.

since: 1.1

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.WebIntent:uri

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryWebIntentClass {
      FoundryIntentClass parent_class;

    }

No description available.

###### Class members

`parent_class: FoundryIntentClass`

  No description available.